
From: Heiko Carstens <heiko.carstens@de.ibm.com>

Disable preemption in show_cpuinfo to avoid problems and the warning about
smp_processor_id.

Signed-off-by: Heiko Carstens <heiko.carstens@de.ibm.com>
Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/s390/kernel/setup.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/s390/kernel/setup.c~s390-show_cpuinfo-fix arch/s390/kernel/setup.c
--- devel/arch/s390/kernel/setup.c~s390-show_cpuinfo-fix	2005-09-14 22:13:41.000000000 -0700
+++ devel-akpm/arch/s390/kernel/setup.c	2005-09-14 22:13:41.000000000 -0700
@@ -634,6 +634,7 @@ static int show_cpuinfo(struct seq_file 
         struct cpuinfo_S390 *cpuinfo;
 	unsigned long n = (unsigned long) v - 1;
 
+	preempt_disable();
 	if (!n) {
 		seq_printf(m, "vendor_id       : IBM/S390\n"
 			       "# processors    : %i\n"
@@ -658,6 +659,7 @@ static int show_cpuinfo(struct seq_file 
 			       cpuinfo->cpu_id.ident,
 			       cpuinfo->cpu_id.machine);
 	}
+	preempt_enable();
         return 0;
 }
 
_
